İçeriğe geç

Veo3.1 First Last Frame to Video

Entegre et

Model kimliği veo3.1/first-last-frame-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/first-last-frame-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $3,20 3.200 API kredisi Bu sayfada çalıştır

API anahtarı al
Google Görselden Videoya Yerel ses4K çıktı4–8 s4k değerine kadar

Sağlanan ilk ve son kare arasında geçiş yapan, isteğe bağlı sesli Veo 3.1 klibi

Google · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 20000

Üretilecek istenen videonun metin açıklaması.

duration 8 s

Çıktı videosunun uzunluğu.

aspect_ratio varsayılan auto

Çıktı videosunun en-boy oranı.

resolution varsayılan 720p

Çıktı videosu için kullanılan çözünürlük.

•gerekli first_frame_url

Videonun açılış karesine işaret eden URL.

•gerekli last_frame_url

Videonun son karesine işaret eden URL.

Gelişmiş negative_prompt · safety_tolerance · seed · auto_fix

Video üretimini yönlendirmek için kullanılan negatif istem.

safety_tolerance varsayılan 4

İçerik denetimi toleransını en az kısıtlayıcı seviye olan 6 ile çoğu içeriği engelleyen en katı seviye olan 1 arasında ayarlar.

Rastgele sayı üretimini başlatan seed değeri.

POST /run/veo3.1/first-last-frame-to-video?wait=20 fiyat → $3,20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/first-last-frame-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Veo3.1 First Last Frame to Video hakkında

`first_frame_url` ile `last_frame_url` arasını birleştiren, en fazla 20000 karakterlik bir `prompt` tarafından yönlendirilen video oluşturur. 4s, 6s veya 8s süre; 720p, 1080p veya 4k çözünürlük; auto, 16:9 veya 9:16 en-boy oranı seçilebilir. Ses üretebilir, `negative_prompt` ve `seed` kabul eder; standart, hızlı olmayan sürümdür.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 20.000 karakter
Üretilecek istenen videonun metin açıklaması.
aspect_ratioisteğe bağlı
Türenum
Varsayılanauto
auto16:99:16
Çıktı videosunun en-boy oranı.
durationisteğe bağlı
Türenum
Varsayılan8s
4s6s8s
Çıktı videosunun uzunluğu.
negative_promptisteğe bağlı
Türstring | null
Video üretimini yönlendirmek için kullanılan negatif istem.
resolutionisteğe bağlı
Türenum
Varsayılan720p
720p1080p4k
Çıktı videosu için kullanılan çözünürlük.
generate_audioisteğe bağlı
Türboolean
Varsayılantrue
Videoya üretilen sesin dahil edilip edilmeyeceğini kontrol eder.
seedisteğe bağlı
Türinteger | null
Rastgele sayı üretimini başlatan seed değeri.
auto_fixisteğe bağlı
Türboolean
Varsayılanfalse
İçerik politikası denetimlerindeki veya diğer doğrulamalardaki hataları çözmeye çalışmak için istemlerin otomatik olarak yeniden yazılması.
safety_toleranceisteğe bağlı
Türenum
Varsayılan4
123456
İçerik denetimi toleransını en az kısıtlayıcı seviye olan 6 ile çoğu içeriği engelleyen en katı seviye olan 1 arasında ayarlar.
first_frame_urlgerekli image
Türstring
Videonun açılış karesine işaret eden URL.
last_frame_urlgerekli end_image
Türstring
Videonun son karesine işaret eden URL.
gerekli Kanonik ad, bu ad da kabul edilir

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veo3.1/first-last-frame-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3200,
    "usd": "3.20",
    "charged": 3200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "first_frame_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "last_frame_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Model tarafından üretilen video.

Daha fazla model: Görselden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/veo3.1/first-last-frame-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt